Index: resources/views/dashboard/files/index.blade.php
===================================================================
--- resources/views/dashboard/files/index.blade.php	(revision 0a1fb54deb0f1b8748e3f675bf85a9a0281751cc)
+++ resources/views/dashboard/files/index.blade.php	(revision ec7b69dfb40191c7b7ed30a628f509b64fccca70)
@@ -88,5 +88,4 @@
                                             @endif
 
-
                                     </td>
                                     <td>{{ $file->name }}</td>
Index: resources/views/dashboard/folders/files.blade.php
===================================================================
--- resources/views/dashboard/folders/files.blade.php	(revision 0a1fb54deb0f1b8748e3f675bf85a9a0281751cc)
+++ resources/views/dashboard/folders/files.blade.php	(revision ec7b69dfb40191c7b7ed30a628f509b64fccca70)
@@ -25,5 +25,5 @@
                             <a href="{{ route("dashboard.folders.files", ["id" => $folder->id]) }}" class="list-group-item d-flex align-items-center" style="font-weight: bold;">
                                 <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                                {{$folder->name}}
+                                {{$folder->name}} v.{{$folder->version}}
                                 <span class="small ml-auto">{{$folder->files->count()}}</span>
                             </a>
@@ -31,5 +31,5 @@
                                 <a href="{{ route("dashboard.folders.files", ["id" => $obj->id]) }}" class="list-group-item d-flex align-items-center">
                                     <i data-feather="folder" class="width-15 height-15 mr-2"></i>
-                                    {{$obj->name}}
+                                    {{$obj->name}}  v.{{$obj->version}}
                                     <span class="small ml-auto">{{$obj->files->count()}}</span>
                                 </a>
Index: resources/views/dashboard/folders/index.blade.php
===================================================================
--- resources/views/dashboard/folders/index.blade.php	(revision 0a1fb54deb0f1b8748e3f675bf85a9a0281751cc)
+++ resources/views/dashboard/folders/index.blade.php	(revision ec7b69dfb40191c7b7ed30a628f509b64fccca70)
@@ -258,5 +258,5 @@
                             <div class="modal-content">
                                 <div class="modal-header">
-                                    <h5 class="modal-title" id="exampleModalCenterTitle">Create folder</h5>
+                                    <h5 class="modal-title" id="exampleModalCenterTitle">Create version</h5>
                                     <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                         <i class="ti-close"></i>
@@ -270,5 +270,5 @@
                                                 <div class="form-group">
                                                     <label for="exampleFormControlSelect1">Department</label>
-                                                        <select class="form-control" name="department" required>
+                                                        <select class="form-control" name="department"  disabled required>
                                                                 <option value="{{ $folder->department->id }}">{{ $folder->department->name }}</option>
                                                         </select>
@@ -278,5 +278,5 @@
                                                 <div class="form-group">
                                                     <label>Archive ID</label>
-                                                    <input type="text" name="arch_id" value="{{$folder->arch_id}}" class="form-control" placeholder="Archive ID" required>
+                                                    <input type="text" name="arch_id" value="{{$folder->arch_id}}" class="form-control" placeholder="Archive ID" disabled>
                                                 </div>
                                             </div>
@@ -286,5 +286,5 @@
                                                 <div class="form-group">
                                                     <label>Name</label>
-                                                    <input type="text" name="name" value="{{ $folder->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" required>
+                                                    <input type="text" name="name" value="{{ $folder->name }}" minlength="2" maxlength="30" class="form-control" placeholder="Name" disabled>
                                                 </div>
                                             </div>
Index: resources/views/dashboard/settings/index.blade.php
===================================================================
--- resources/views/dashboard/settings/index.blade.php	(revision 0a1fb54deb0f1b8748e3f675bf85a9a0281751cc)
+++ resources/views/dashboard/settings/index.blade.php	(revision ec7b69dfb40191c7b7ed30a628f509b64fccca70)
@@ -152,11 +152,4 @@
                             <div class="card">
                                 <div class="card-body">
-                                    <form class="actionForm" action="{{ route("dashboard.settings.username") }}"
-                                          method="post" accept-charset="UTF-8">
-
-                                        @method("patch")
-                                        @csrf
-
-                                        <fieldset class="form-fieldset">
 
                                             <h4 class="font-weight-normal border-bottom pb-2">Username</h4>
@@ -167,9 +160,8 @@
                                             <div class="row">
 
-
                                                 <div class="col-md-6">
                                                     <div class="form-group">
                                                         <label class="form-label">Username</label>
-                                                        <input type="text"
+                                                        <input type="text" id="username"
                                                                value="{{ old("username", $user->username) }}"
                                                                name="username" class="form-control">
@@ -179,14 +171,9 @@
                                                 <div class="col-md-12">
                                                     <div class="form-group mb-0 float-right">
-                                                        <input type="submit" value="Submit"
-                                                               class="submitBtn btn btn-primary">
-                                                    </div>
-                                                </div>
-
-                                            </div>
-
-                                        </fieldset>
-
-                                    </form>
+                                                        <a href="javascript:void(0)" class="submitBtn btn btn-primary text-white" data-toggle="modal" id="submitUserName" data-target="#confirmUsernameModal">Submit</a>
+                                                    </div>
+                                                </div>
+
+                                            </div>
 
                                 </div>
@@ -195,11 +182,4 @@
                             <div class="card">
                                 <div class="card-body">
-                                    <form class="actionForm" action="{{ route("dashboard.settings.email") }}"
-                                          method="post" accept-charset="UTF-8">
-
-                                        @method("patch")
-                                        @csrf
-
-                                        <fieldset class="form-fieldset">
 
                                             <h4 class="font-weight-normal border-bottom pb-2">E-mail</h4>
@@ -216,5 +196,5 @@
                                                         <input type="email"
                                                                value="{{ old("email", $user->email) }}"
-                                                               name="email" class="form-control">
+                                                               name="email" id="email" class="form-control">
                                                     </div>
                                                 </div>
@@ -222,13 +202,9 @@
                                                 <div class="col-md-12">
                                                     <div class="form-group mb-0 float-right">
-                                                        <input type="submit" value="Submit"
-                                                               class="submitBtn btn btn-primary">
-                                                    </div>
-                                                </div>
-
-                                            </div>
-
-                                        </fieldset>
-                                    </form>
+                                                        <a href="javascript:void(0)" class="submitBtn btn btn-primary text-white" data-toggle="modal" id="submitEmail" data-target="#confirmEmailModal">Submit</a>
+                                                    </div>
+                                                </div>
+
+                                            </div>
                                 </div>
                             </div>
@@ -261,5 +237,5 @@
                                     </div>
                                 </div>
-@endif
+                        @endif
                         </div>
                     </div>
@@ -270,13 +246,77 @@
     </div>
 
+    <div class="modal fade" id="confirmUsernameModal" tabindex="-1" role="dialog" aria-hidden="true">
+        <div class="modal-dialog modal-dialog-centered" role="document">
+            <div class="modal-content">
+                <div class="modal-header">
+                    <h5 class="modal-title" id="exampleModalCenterTitle">Update confirmation</h5>
+                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                        <i class="ti-close"></i>
+                    </button>
+                </div>
+                <div class="modal-body">
+                    <form action="{{ route("dashboard.settings.username") }}" method="POST">
+
+                        @method('patch')
+                        @csrf
+
+                        <p>Are you sure you want to update your username to <span id="user_name" class="font-weight-bold"></span>?</p>
+                        <input type="hidden" id="user_name_input" value="" name="username">
+                        <div class="modal-footer">
+                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                            </button>
+                            <button type="submit" class="btn btn-primary">Save changes</button>
+                        </div>
+                    </form>
+                </div>
+            </div>
+        </div>
+    </div>
+
+    <div class="modal fade" id="confirmEmailModal" tabindex="-1" role="dialog" aria-hidden="true">
+        <div class="modal-dialog modal-dialog-centered" role="document">
+            <div class="modal-content">
+                <div class="modal-header">
+                    <h5 class="modal-title" id="exampleModalCenterTitle">Update confirmation</h5>
+                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                        <i class="ti-close"></i>
+                    </button>
+                </div>
+                <div class="modal-body">
+                    <form action="{{ route("dashboard.settings.email") }}" method="POST">
+
+                        @method('patch')
+                        @csrf
+
+                        <p>Are you sure you want to update your email to <span id="user_email" class="font-weight-bold"></span>?</p>
+                        <input type="hidden" id="user_email_input" value="" name="email">
+                        <div class="modal-footer">
+                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                            </button>
+                            <button type="submit" class="btn btn-primary">Save changes</button>
+                        </div>
+                    </form>
+                </div>
+            </div>
+        </div>
+    </div>
+
 @endsection
 
 @section('script')
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
-    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js" integrity="sha512-uto9mlQzrs59VwILcLiRYeLKPPbS/bT71da/OEBYEwcdNUk8jYIy+D176RYoop1Da+f9mvkYrmj5MCLZWEtQuA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
+
     <script>
-        //redirect to specific tab
-        $(document).ready(function () {
-            $('#tabMenu a[href="#{{ old('tab') }}"]').tabs('show')
+        $("#submitUserName").click(function () {
+            var name = $("#username").val();
+            $("#user_name").html(name);
+            $("#user_name_input").val(name);
+        });
+    </script>
+
+    <script>
+        $("#submitEmail").click(function () {
+            var email = $("#email").val();
+            $("#user_email").html(email);
+            $("#user_email_input").val(email);
         });
     </script>
